Update file attributes
Update attributes on a vector store file.
Request
POST
https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}/files/{file_id}
Path parameters
|
Name |
Description |
|
file_id |
Type: string The ID of the file to update attributes. Example: `` |
|
vector_store_id |
Type: string The ID of the vector store the file belongs to. Example: `` |
Body
application/json
{
"attributes": null
}
|
Name |
Description |
|
attributes |
Type: VectorStoreFileAttributes Default: Example
|
VectorStoreFileAttributes
Any of 2 types
-
Type: object
[additional]
One of 3 types
-
Type: string
Max length:
512Example:
example -
Type: number
-
Type: boolean
Example:
exampleSet of key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.
Max properties:
16Example
{} -
-
Type: unknown
Example:
null
Default: null
Responses
200 OK
OK
Body
application/json
{
"id": "example",
"object": "vector_store.file",
"usage_bytes": 0,
"created_at": 0,
"vector_store_id": "example",
"status": "in_progress",
"last_error": null
}
|
Name |
Description |
||||
|
created_at |
Type: integer The Unix timestamp (in seconds) for when the vector store file was created. |
||||
|
id |
Type: string The identifier, which can be referenced in API endpoints. Example: |
||||
|
last_error |
Any of 2 types
Default: |
||||
|
object |
Type: string The object type, which is always Const: Example: |
||||
|
status |
Type: string The status of the vector store file, which can be either Enum: |
||||
|
usage_bytes |
Type: integer The total vector store usage in bytes. Note that this may be different from the original file size. |
||||
|
vector_store_id |
Type: string The ID of the vector store that the File is attached to. Example: |